Name:           python-modelbit
Version:        0.44.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Modelbit helps you rapidly deploy and manage ML models with modern MLOps features.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.modelbit.com
Source:         %{pypi_source modelbit}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'modelbit' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-modelbit
Summary:        %{summary}

%description -n python3-modelbit %_description


%prep
%autosetup -p1 -n modelbit-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-modelbit -f %{pyproject_files}


%changelog
%autochangelog